Page MenuHomePhabricator

Add translatewiki.net support for XTools
Closed, ResolvedPublic

Description

In the past, translations for XTools were bundled with Intuition. Because of our rewrite, we would like to move it out into its own translatewiki.net project.

Repository: https://github.com/x-tools/xtools
File location: i18n at the root of that repository. English is the most up to date collection of strings.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 7:37 AM
MusikAnimal moved this task from Blocked (Non-XTools) to Working on the XTools board.
MusikAnimal moved this task from Working to Pending Review on the XTools board.Jul 22 2017, 8:50 PM
MusikAnimal updated the task description. (Show Details)Jul 31 2017, 10:28 PM

Change 366863 had a related patch set uploaded (by Nikerabbit; owner: MusikAnimal):
[translatewiki@master] Add XTools

https://gerrit.wikimedia.org/r/366863

Change 366863 merged by jenkins-bot:
[translatewiki@master] Add XTools

https://gerrit.wikimedia.org/r/366863

I've added us to the Group descriptions, but need a translationadmin to mark it for translation. I have Babel templates on my userpage, did we also need those at Translating:XTools? Finally, I'm guessing despite our popularity, we're not big enough to warrant a support category :) Let me know otherwise, or if we're missing anything else!

Many thanks

@Nikerabbit Also, unless if migration is still on-going in some languages, I think it's the time to disable https://translatewiki.net/w/i.php?title=Special:Translate&group=tsint-xtools

Change 372349 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Remove old xtools

https://gerrit.wikimedia.org/r/372349

Restricted Application added a project: User-Matthewrbowker. · View Herald TranscriptAug 17 2017, 9:29 AM

Change 372349 merged by jenkins-bot:
[translatewiki@master] Remove old xtools

https://gerrit.wikimedia.org/r/372349

MusikAnimal closed this task as Resolved.Aug 17 2017, 2:06 PM
MusikAnimal moved this task from Pending Review to Complete on the XTools board.

Thank you!